# coding=utf-8

from django.conf.urls import url
from .views import *
urlpatterns = [
    url(r'^callback_authorize/$', CallbackAuthorize.as_view()),
    url(r'^redirect_authorize/(?P<pk>[0-9]+)/$', RedirectAuthorize.as_view()),
    url('^(?P<appid>.+)/callback_event/$', CallbackEvent.as_view()),

    url(r'^wechat_notify/(?P<appid>.+)/$', WechatNotifyView.as_view()),

    url(r'^xgj/get_comppany/$', GetCompany.as_view()),
    url(r'^xgj/get_member_card/$', GetMemberCard.as_view()),
    url(r'^xgj/get_member_info/$', GetMemberInfo.as_view()),
    url(r'^xgj/get_member_points/$', GetMemberPoints.as_view()),
    url(r'^xgj/get_member_record/$', GetMemberRecord.as_view()),
    url(r'^xgj/get_member_balance/$', GetMemberBalance.as_view()),
]

